<template>
  <user-alert v-if="alertIsVisible" :title="alertTitle" @close="hideAlert">
    <p>Do you want to continue with deleting a user?</p>
  </user-alert>
  <section>
    <h2>Delete a User</h2>
    <button @click="showAlert">Delete User</button>
  </section>
</template>

<script>
import UserAlert from '../components/UserAlert.vue';
import alertMixin from '../mixins/alert.mixin.js';

export default {
  components: {
    UserAlert,
  },
  data() {
    return {
      alertTitle: 'Delete user?',
      // alertIsVisible: true  - if we have the same property in a mixin and in a component, the component's property wins
    }
  },
  mixins: [ alertMixin ]
};
</script>